Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWinCEOpenGLRenderWindow Class Reference

`#include <vtkWinCEOpenGLRenderWindow.h>`

Inheritance diagram for vtkWinCEOpenGLRenderWindow:

[legend]
Collaboration diagram for vtkWinCEOpenGLRenderWindow:

[legend]
List of all members.

## Detailed Description

OpenGL rendering window.

Date:
  2002/10/24 15:27:55

Revision:
  1.7

vtkWinCEOpenGLRenderWindow is a concrete implementation of the abstract class vtkRenderWindow. vtkWinCEOpenGLRenderer interfaces to the standard OpenGL graphics library in the Windows/NT environment..

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (95%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkWinCEOpenGLRenderWindow.cxx)`
  - .`h` (`/Rendering/vtkWinCEOpenGLRenderWindow.h)`

Definition at line 46 of file vtkWinCEOpenGLRenderWindow.h.

## Public Types
typedef vtkOpenGLRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Start (void)
void | Frame (void)
virtual void | WindowInitialize (void)
virtual void | Initialize (void)
virtual void | SetFullScreen (int)
virtual void | WindowRemap (void)
virtual void | PrefFullScreen (void)
virtual void | SetSize (int, int)
virtual int * | GetSize ()
virtual void | SetPosition (int, int)
virtual int * | GetScreenSize ()
virtual int * | GetPosition ()
virtual void | SetWindowName (char *)
void | SetWindowInfo (char *)
void | SetParentInfo (char *)
virtual void * | GetGenericDisplayId ()
virtual void * | GetGenericWindowId ()
virtual void * | GetGenericParentId ()
virtual void * | GetGenericContext ()
virtual void | SetDisplayId (void *)
virtual void | SetWindowId (HWND)
virtual void | SetStereoCapableWindow (int capable)
void | MakeCurrent ()
void | SetForceMakeCurrent ()
virtual int | GetEventPending ()
void | Clean ()
virtual HWND | GetWindowId ()
void | SetWindowId (void *foo)
virtual void | SetParentId (HWND)
void | SetParentId (void *foo)
virtual void | SetNextWindowId (HWND)
void | HideCursor ()
void | ShowCursor ()
## Static Public Methods
vtkWinCEOpenGLRenderWindow * | New ()
int | IsTypeOf (const char *type)
vtkWinCEOpenGLRenderWindow * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWinCEOpenGLRenderWindow ()
| ~vtkWinCEOpenGLRenderWindow ()
virtual LRESULT | MessageProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
void | ResizeWhileOffscreen (int xsize, int ysize)
void | CreateAWindow (int x, int y, int width, int height)
void | InitializeApplication ()
## Static Protected Methods
LRESULT APIENTRY | WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
## Protected Attributes
HINSTANCE | ApplicationInstance
OSMesaContext | OffScreenContextId
void * | OffScreenWindow
HDC | DeviceContext
HWND | WindowId
HWND | ParentId
HWND | NextWindowId
int | OwnWindow
int | ScreenSize [2]
int | CursorHidden
int | ForceMakeCurrent

## Member Typedef Documentation

typedef vtkOpenGLRenderWindow vtkWinCEOpenGLRenderWindow::Superclass

| Reimplemented from vtkOpenGLRenderWindow. Definition at line 50 of file vtkWinCEOpenGLRenderWindow.h.

## Constructor & Destructor Documentation

vtkWinCEOpenGLRenderWindow::vtkWinCEOpenGLRenderWindow | ( |  | ) | `[protected]`

vtkWinCEOpenGLRenderWindow::~vtkWinCEOpenGLRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWinCEOpenGLRenderWindow* vtkWinCEOpenGLRenderWindow::New | ( |  | ) | `[static]`

| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. Reimplemented from vtkRenderWindow.

virtual const char* vtkWinCEOpenGLRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkWinCEOpenGLRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

virtual int vtkWinCEOpenGLRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

vtkWinCEOpenGLRenderWindow* vtkWinCEOpenGLRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOpenGLRenderWindow.

void vtkWinCEOpenGLRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkWinCEOpenGLRenderWindow::Start | ( | void |  | ) | `[virtual]`

| Begin the rendering process. Implements vtkRenderWindow.

void vtkWinCEOpenGLRenderWindow::Frame | ( | void |  | ) | `[virtual]`

| End the rendering process and display the image. Implements vtkRenderWindow.

virtual void vtkWinCEOpenGLRenderWindow::WindowInitialize | ( | void |  | ) | `[virtual]`

| Create the window

virtual void vtkWinCEOpenGLRenderWindow::Initialize | ( | void |  | ) | `[virtual]`

| Initialize the rendering window.

virtual void vtkWinCEOpenGLRenderWindow::SetFullScreen | ( | int |  | ) | `[virtual]`

| Change the window to fill the entire screen. Implements vtkRenderWindow.

virtual void vtkWinCEOpenGLRenderWindow::WindowRemap | ( | void |  | ) | `[virtual]`

| Remap the window. Implements vtkRenderWindow.

virtual void vtkWinCEOpenGLRenderWindow::PrefFullScreen | ( | void |  | ) | `[virtual]`

| Set the preferred window size to full screen.

virtual void vtkWinCEOpenGLRenderWindow::SetSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the size of the window. Reimplemented from vtkWindow.

virtual int* vtkWinCEOpenGLRenderWindow::GetSize | ( |  | ) | `[virtual]`

| Get the current size of the window. Reimplemented from vtkWindow.

virtual void vtkWinCEOpenGLRenderWindow::SetPosition | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the position of the window. Reimplemented from vtkWindow.

virtual int* vtkWinCEOpenGLRenderWindow::GetScreenSize | ( |  | ) | `[virtual]`

| Return the screen size.

virtual int* vtkWinCEOpenGLRenderWindow::GetPosition | ( |  | ) | `[virtual]`

| Get the position in screen coordinates of the window. Reimplemented from vtkWindow.

virtual void vtkWinCEOpenGLRenderWindow::SetWindowName | ( | char * |  | ) | `[virtual]`

| Set the name of the window. This appears at the top of the window normally.

void vtkWinCEOpenGLRenderWindow::SetWindowInfo | ( | char * |  | ) | `[virtual]`

| Set this RenderWindow's window id to a pre-existing window. Implements vtkRenderWindow.

void vtkWinCEOpenGLRenderWindow::SetParentInfo | ( | char * |  | ) | `[virtual]`

| Sets the HWND id of the window that WILL BE created. Implements vtkRenderWindow.

virtual void* vtkWinCEOpenGLRenderWindow::GetGenericDisplayId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 100 of file vtkWinCEOpenGLRenderWindow.h.

virtual void* vtkWinCEOpenGLRenderWindow::GetGenericWindowId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 101 of file vtkWinCEOpenGLRenderWindow.h.

virtual void* vtkWinCEOpenGLRenderWindow::GetGenericParentId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 102 of file vtkWinCEOpenGLRenderWindow.h.

virtual void* vtkWinCEOpenGLRenderWindow::GetGenericContext | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 103 of file vtkWinCEOpenGLRenderWindow.h.

virtual void vtkWinCEOpenGLRenderWindow::SetDisplayId | ( | void * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 104 of file vtkWinCEOpenGLRenderWindow.h.

virtual HWND vtkWinCEOpenGLRenderWindow::GetWindowId | ( |  | ) | `[virtual]`

| Get the window id.

void vtkWinCEOpenGLRenderWindow::SetWindowId | ( | void * | foo | ) | `[inline, virtual]`

| Get the window id. Implements vtkRenderWindow. Definition at line 109 of file vtkWinCEOpenGLRenderWindow.h. References vtkRenderWindow::SetWindowId().

virtual void vtkWinCEOpenGLRenderWindow::SetWindowId | ( | HWND |  | ) | `[virtual]`

| Set the window id to a pre-existing window.

virtual void vtkWinCEOpenGLRenderWindow::SetParentId | ( | HWND |  | ) | `[virtual]`

| Set the window's parent id to a pre-existing window.

void vtkWinCEOpenGLRenderWindow::SetParentId | ( | void * | foo | ) | `[inline, virtual]`

| Set the window's parent id to a pre-existing window. Implements vtkRenderWindow. Definition at line 118 of file vtkWinCEOpenGLRenderWindow.h. References vtkRenderWindow::SetParentId().

virtual void vtkWinCEOpenGLRenderWindow::SetNextWindowId | ( | HWND |  | ) | `[virtual]`

| Set the window id of the new window once a WindowRemap is done.

virtual void vtkWinCEOpenGLRenderWindow::SetStereoCapableWindow | ( | int | capable | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. This method overrides the superclass method since this class can actually check whether the window has been realized yet. Reimplemented from vtkRenderWindow.

void vtkWinCEOpenGLRenderWindow::MakeCurrent | ( |  | ) | `[virtual]`

| Make this windows OpenGL context the current context. Implements vtkOpenGLRenderWindow.

void vtkWinCEOpenGLRenderWindow::SetForceMakeCurrent | ( |  | ) | `[virtual]`

| If called, allow MakeCurrent() to skip cache-check when called. MakeCurrent() reverts to original behavior of cache-checking on the next render. Reimplemented from vtkRenderWindow.

virtual int vtkWinCEOpenGLRenderWindow::GetEventPending | ( |  | ) | `[virtual]`

| Check to see if an event is pending for this window. This is a useful check to abort a long render. Implements vtkRenderWindow.

void vtkWinCEOpenGLRenderWindow::Clean | ( |  | ) |

| Clean up device contexts, rendering contexts, etc.

void vtkWinCEOpenGLRenderWindow::HideCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

void vtkWinCEOpenGLRenderWindow::ShowCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

virtual LRESULT vtkWinCEOpenGLRenderWindow::MessageProc | ( | HWND | hWnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[protected, virtual]`

LRESULT APIENTRY vtkWinCEOpenGLRenderWindow::WndProc | ( | HWND | hWnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, protected]`

void vtkWinCEOpenGLRenderWindow::ResizeWhileOffscreen | ( | int | xsize,
|  | int | ysize
| ) | `[protected]`

void vtkWinCEOpenGLRenderWindow::CreateAWindow | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[protected]`

void vtkWinCEOpenGLRenderWindow::InitializeApplication | ( |  | ) | `[protected]`

## Member Data Documentation

HINSTANCE vtkWinCEOpenGLRenderWindow::ApplicationInstance`[protected]`

| Definition at line 159 of file vtkWinCEOpenGLRenderWindow.h.

OSMesaContext vtkWinCEOpenGLRenderWindow::OffScreenContextId`[protected]`

| Definition at line 161 of file vtkWinCEOpenGLRenderWindow.h.

void* vtkWinCEOpenGLRenderWindow::OffScreenWindow`[protected]`

| Definition at line 162 of file vtkWinCEOpenGLRenderWindow.h.

HDC vtkWinCEOpenGLRenderWindow::DeviceContext`[protected]`

| Definition at line 164 of file vtkWinCEOpenGLRenderWindow.h.

HWND vtkWinCEOpenGLRenderWindow::WindowId`[protected]`

| Definition at line 165 of file vtkWinCEOpenGLRenderWindow.h.

HWND vtkWinCEOpenGLRenderWindow::ParentId`[protected]`

| Definition at line 166 of file vtkWinCEOpenGLRenderWindow.h.

HWND vtkWinCEOpenGLRenderWindow::NextWindowId`[protected]`

| Definition at line 167 of file vtkWinCEOpenGLRenderWindow.h.

int vtkWinCEOpenGLRenderWindow::OwnWindow`[protected]`

| Definition at line 168 of file vtkWinCEOpenGLRenderWindow.h.

int vtkWinCEOpenGLRenderWindow::ScreenSize[2]`[protected]`

| Definition at line 169 of file vtkWinCEOpenGLRenderWindow.h.

int vtkWinCEOpenGLRenderWindow::CursorHidden`[protected]`

| Definition at line 179 of file vtkWinCEOpenGLRenderWindow.h.

int vtkWinCEOpenGLRenderWindow::ForceMakeCurrent`[protected]`

| Definition at line 180 of file vtkWinCEOpenGLRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkWinCEOpenGLRenderWindow.h